@media (max-width: 767px){
	.main-sidebar {
		padding-top: 55px;
	}
}
.navbar-custom-menu .logo-xs a{
	padding-top: 10px !important;
	padding-bottom: 5px !important;
}


.navbar-custom-menu .logo-xs img{
	height: 30px;
}


.flex-content {
  display: flex;
  justify-content: center;
  align-items: center;
}


.box-content-less-padding {
  padding-left:0px !important;
  padding-right:0px !important;
}


.toogle-span {
	font-size: 2em;
	cursor:pointer;
}

.toogle-span i {
	transition: all 0.2s ease;
}

.toogle-active {
	color: #00a65a;
}

.toogle-inactive {
	color: #dd4b39 ;
}

.report-title-bg{
	background-color:#fcde90;
}

.p-0{
	padding-right: 0px;
	padding-left: 0px;
}


@media (max-width: 767px){
	.margin-0-xs{
		margin-right: 0px !important;
		margin-left: 0px !important;
	}
	
}


.w-90{
	width:90% !important;
}

.w-100{
	width:100% !important;
}

.slider-text{
	display: inherit;
	align-content: center;
	text-align: center;
	font-weight:bold;
}

.navbar-nav > .notifications-menu > .dropdown-menu > li.header{
	font-weight:bold;
}

.navbar-nav > .notifications-menu > .dropdown-menu > li .menu > li > a {
	white-space: normal;
}

.overflow-x-auto{
	overflow-x:auto;
}



@media (max-width: 767px){
	
	
	.company-name {
	  display: inline-block;
	  max-width: 200px; /* Ancho m�ximo del enlace */
	  white-space: nowrap;
	  overflow: hidden;
	  text-overflow: ellipsis;
	}
}

.form-group.has-error label {
	color: #AB1D1D !important;
  }


.skin-black .wrapper,
.skin-black .main-sidebar,
.skin-black .left-side {
    background-color: #AB1D1D;
}

.skin-black .sidebar-menu > li:hover > a,
.skin-black .sidebar-menu > li.active > a,
.skin-black .sidebar-menu > li.menu-open > a {
    background: #821515;
}

.skin-black .sidebar-menu > li > .treeview-menu {
    background: #821515;
}

.skin-black .sidebar a {
    color: #fff;
}

.skin-black .sidebar-menu .treeview-menu > li > a {
    color: #fff;
}

.box.box-primary {
    border-top-color: #AB1D1D;
}

.btn-primary {
    background-color: #AB1D1D;
    border-color: #821515;
}

.btn-primary:hover,
.btn-primary:active,
.btn-primary:focus {
    background-color: #821515 !important;
    border-color: #821515 !important;
}

.btn-primary.disabled,
.btn-primary:disabled {
    background-color: #b48888;
    border-color: #b48888;
}

.btn-default {
    background-color: #333;
    border-color: #333;
    color: #fff;
}

.btn-default:hover,
.btn-default:active,
.btn-default:focus {
    background-color: #1a1a1a !important;
    border-color: #adadad !important;
    color: #fff !important;
}


.pagination > .active > a,
.pagination > .active > a:hover,
.pagination > .active > a:focus {
    background-color: #1a1a1a !important;
    border-color: #adadad !important;
    color: #fff !important;
}

.select2-container--default .select2-results__option--highlighted[aria-selected] {
    background-color: #1a1a1a;
    color: #fff;
}

.select2-container--default .select2-selection--single:focus,
.select2-container--default.select2-container--focus .select2-selection--multiple {
    border-color: #333;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice {
    background-color: #333;
    border-color: #1a1a1a;
    color: #fff;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
    color: #fff;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice__remove:hover {
    color: #ddd;
}

.select2-dropdown {
    border-color: #333;
}


/* Estilos base para checkbox personalizado */
.icheckbox_custom-red {
    display: inline-block;
    vertical-align: middle;
    margin: 0;
    padding: 0;
    width: 22px;
    height: 22px;
    background: #fff;
    border: 2px solid #d9d9d9;
    cursor: pointer;
}

/* Estado checked con ícono Font Awesome */
.icheckbox_custom-red.checked:after {
    content: '\f00c'; /* código del ícono check de Font Awesome */
    font-family: 'FontAwesome';
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    color: #fff;
    font-size: 12px;
}

/* Estado checked */
.icheckbox_custom-red.checked {
    background: #AB1D1D;
    border-color: #AB1D1D;
	color:#fff;
}

/* Estado hover */
.icheckbox_custom-red:hover {
    border-color: #AB1D1D;
}

/* Estado disabled */
.icheckbox_custom-red.disabled {
    background: #eee;
    border-color: #d9d9d9;
    cursor: not-allowed;
}

/* Estado checked y disabled */
.icheckbox_custom-red.checked.disabled {
    background: #d9d9d9;
}

input, 
input[type="text"],
input[type="password"],
input[type="email"],
input[type="number"] {
    font-weight: bold !important;
}